import matplotlib.pylab as plt

def heatmap(X, ax=None, show=True):
    ax = plt.gca() if ax is None else ax

    im = ax.imshow(X)
    plt.colorbar(im, ax=ax)

    ax.set_frame_on(False)
    ax.grid(False)

    if show:
        import limix_util as lu
        lu.plot_.show()
