import os
import matplotlib.pylab as plt
from limix_misc.path_ import temp_folder

def show(fig=None, dst_fp=None):
    fig = plt.gcf() if fig is None else fig

    if dst_fp is None:
        with temp_folder() as folder:
            fout = os.path.join(folder, 'tmp.png')
            fig.savefig(fout)
            os.system("imgcat " + fout)
    else:
        fig.savefig(dst_fp)
        os.system("imgcat " + dst_fp)

    plt.close()
